/*   
 ----------------------------------------------------------------------
| CUSTOMBAR PLUGIN SDK
| UTILITY FUNCTIONS
|
| This library is distributed in the hope that it will be useful,
| but WITHOUT ANY WARRANTY; without even the implied warranty of
| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
|
| Copyright (C) 2002-2004 Lizardsoft. All Rights Reserved.
 ---------------------------------------------------------------------- */

#if !defined(CBPLUGINUTIL_HHH_H_H_HHH___INCLUDED_)
#define CBPLUGINUTIL_HHH_H_H_HHH___INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


#define PL_ERROR               0
#define PL_BROWSER_UNKNOWN     126
#define PL_BROWSER_IE          1
#define PL_BROWSER_NETSCAPE    2
#define PL_BROWSER_MOZILLA     3

// used by ConvertLineBreaks to specify line break format to convert string to
const int PL_LB_CRLF      = 1;
const int PL_LB_CR        = 2;
const int PL_LB_LF        = 3;

CB_API int PL_ConvertStrToColorRef( COLORREF *Color, const TCHAR *Str );
CB_API int PL_ConvertStrToFont( HFONT *Font, const TCHAR *Str );
CB_API int PL_ConvertLineBreaks( TCHAR *Dest, const TCHAR *Str, int Format );
CB_API int PL_GetDefaultBrowser( TCHAR *Buffer, int MaxLen );


CB_API int PL_GetVersion();


#endif // CBPLUGINUTIL_HHH_H_H_HHH___INCLUDED_